summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Asaf Ohaion2010-04-22 05:09:41 +0200
committer David Somero2010-05-15 10:38:41 +0200
commit4638298bec0ecff6b38f9e8313e7b3eedd210240 (patch)
treec60e10b15d064ef2d9da5de45679773b45fa84ef
parent59d90642b78e9a1d6dc1077de29454d6924be91f (diff)
downloadslackbuilds-4638298bec0ecff6b38f9e8313e7b3eedd210240.tar.gz
system/picocom: Added (minimal dumb-terminal emulation)
-rw-r--r--system/picocom/README21
-rwxr-xr-xsystem/picocom/picocom.SlackBuild71
-rw-r--r--system/picocom/picocom.info10
-rw-r--r--system/picocom/slack-desc19
4 files changed, 121 insertions, 0 deletions
diff --git a/system/picocom/README b/system/picocom/README
new file mode 100644
index 0000000000..83703c03cd
--- /dev/null
+++ b/system/picocom/README
@@ -0,0 +1,21 @@
+picocom is a minimal dumb-terminal emulation program. It is, in principle,
+very much like minicom, only it's pico instead of mini!
+
+Picocom was designed to serve as a simple, manual, modem configuration,
+testing, and debugging tool. It has also served (quite well) as a low-tech
+"terminal-window" to allow operator
+ intervention in PPP connection scripts (something like the ms-windows
+ "open terminal window before / after dialing" feature).
+It could also prove useful in many other similar tasks.
+
+Picocom is ideal for embedded systems since its memory footprint is minimal
+(less than 20K, when stripped).
+
+Apart from being a handy little tool, picocom source distribution includes
+a simple, easy to use, and thoroughly documented
+ terminal-management library, which could serve other projects as well.
+This library hides the termios(3) calls, and provides a less complex and
+safer (though certainly less feature-rich) interface.
+
+Picocom runs on Linux, and with minor modifications it could run on any
+Unix system with the termios(3) library.
diff --git a/system/picocom/picocom.SlackBuild b/system/picocom/picocom.SlackBuild
new file mode 100755
index 0000000000..4db4c9b06d
--- /dev/null
+++ b/system/picocom/picocom.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for picocom
+
+# Written by Asaf, Lingnu.com (asaf@lingnu.com)
+
+
+PRGNAM=picocom
+VERSION=${VERSION:-1.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/man/man8
+cp -v picocom $PKG/usr/bin/
+cp -v picocom.8 $PKG/usr/man/man8
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/picocom/picocom.info b/system/picocom/picocom.info
new file mode 100644
index 0000000000..4ecfaaafb6
--- /dev/null
+++ b/system/picocom/picocom.info
@@ -0,0 +1,10 @@
+PRGNAM="picocom"
+VERSION="1.4"
+HOMEPAGE="http://code.google.com/p/picocom/"
+DOWNLOAD="http://picocom.googlecode.com/files/picocom-1.4.tar.gz"
+MD5SUM="08fcc5f6bb9e7676a2569386d5ea9f70"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Asaf Ohaion"
+EMAIL="asaf@lingnu.com"
+APPROVED="dsomero"
diff --git a/system/picocom/slack-desc b/system/picocom/slack-desc
new file mode 100644
index 0000000000..b4a8a1bd35
--- /dev/null
+++ b/system/picocom/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+picocom: picocom (minimal dumb-terminal emulation)
+picocom:
+picocom: As its name suggests, picocom is a minimal dumb-terminal emulation
+picocom: program.
+picocom:
+picocom: It is, in principle, very much like minicom, only it's pico instead
+picocom: of mini!
+picocom:
+picocom:
+picocom:
+picocom: